## org.apache.lucene.queryParser.core.nodes
Enum ProximityQueryNode.Type

    java.lang.Object
      java.lang.Enum<ProximityQueryNode.Type>
          org.apache.lucene.queryParser.core.nodes.ProximityQueryNode.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ProximityQueryNode.Type>

Enclosing class:
  ProximityQueryNode

    public static enum ProximityQueryNode.Type

extends java.lang.Enum<ProximityQueryNode.Type>

Enum Constant Summary
`NUMBER`
`PARAGRAPH`
`SENTENCE`

Method Summary
`java.lang.String` `toString()`
`static ProximityQueryNode.Type` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ProximityQueryNode.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PARAGRAPH

    public static final ProximityQueryNode.Type PARAGRAPH

### SENTENCE

    public static final ProximityQueryNode.Type SENTENCE

### NUMBER

    public static final ProximityQueryNode.Type NUMBER

Method Detail

### values

    public static ProximityQueryNode.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ProximityQueryNode.Type c : ProximityQueryNode.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ProximityQueryNode.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<ProximityQueryNode.Type>`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.